%define majver %(echo %version | cut -d. -f1-2)

Name:          kconfig
Version:       5.110.0
Release:       1mamba
Summary:       KDE Frameworks advanced configuration system
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/frameworks/%{majver}/kconfig-%{version}.tar.xz
Source1:       macros.kde5
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5Gui
BuildRequires: libQt5Xml
BuildRequires: libQt5DBus
#BuildRequires: Qt5LinguistTools
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KConfig provides an advanced configuration system for the KDE Frameworks 5.
It is made of two parts: KConfigCore and KConfigGui.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel
Obsoletes:     %{name}-devel < 5.91.0
Requires:      rpm-macros-kde5

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang kconfig5_qt --with-qt --all-name || touch kconfig5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f kconfig5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/kreadconfig5
%{_kde5_bindir}/kwriteconfig5
%{_datadir}/qlogging-categories5/kconfig.*categories

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5ConfigCore.so.*
%{_kde5_libdir}/libKF5ConfigGui.so.*
%{_kde5_libdir}/libKF5ConfigQml.so.*
%{_kde5_libexecdir}/kconf_update
%{_kde5_libexecdir}/kconfig_compiler_kf5
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KConfig
%{_kde5_includedir}/KConfigCore
%{_kde5_includedir}/KConfigGui
%dir %{_kde5_includedir}/KConfigQml
%{_kde5_includedir}/KConfigQml/*
%{_kde5_libdir}/libKF5ConfigCore.so
%{_kde5_libdir}/libKF5ConfigGui.so
%{_kde5_libdir}/libKF5ConfigQml.so
%{_kde5_mkspecsdir}/qt_KConfigCore.pri
%{_kde5_mkspecsdir}/qt_KConfigGui.pri
%dir %{_kde5_libdir}/cmake/KF5Config
%{_kde5_libdir}/cmake/KF5Config/*

%changelog
* Sun Sep 10 2023 Automatic Build System <autodist@mambasoft.it> 5.110.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 5.109.0-1mamba
- automatic version update by autodist

* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 5.108.0-1mamba
- automatic version update by autodist

* Sun Jun 11 2023 Automatic Build System <autodist@mambasoft.it> 5.107.0-1mamba
- automatic version update by autodist

* Sun May 14 2023 Automatic Build System <autodist@mambasoft.it> 5.106.0-1mamba
- automatic version update by autodist

* Sun Apr 09 2023 Automatic Build System <autodist@mambasoft.it> 5.105.0-1mamba
- automatic version update by autodist

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 5.104.0-1mamba
- automatic version update by autodist

* Sun Feb 12 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Fri Nov 18 2022 Automatic Build System <autodist@mambasoft.it> 5.100.1-1mamba
- automatic version update by autodist

* Tue Nov 15 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sun May 15 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Sun Apr 10 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Sun Mar 13 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Tue Feb 15 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Sat Dec 18 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Sat Nov 13 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Sun Jun 13 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Wed Dec 23 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Mon Nov 16 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Tue Oct 13 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Tue Sep 15 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Tue Aug 11 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Tue Jun 16 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Mon Jan 13 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Sun Dec 22 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Fri Oct 18 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Mon Sep 16 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Thu Jul 18 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Tue Jun 11 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Fri Apr 19 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Mon Mar 11 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Thu Jan 17 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Sat Dec 15 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Fri Nov 16 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Sat Oct 20 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Mon Aug 20 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Mon Jul 16 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Tue May 15 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Mon Apr 16 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Tue Feb 27 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Wed Jan 17 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Mon Sep 11 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Fri Aug 04 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 5.35.0-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sun Nov 20 2016 Automatic Build System <autodist@mambasoft.it> 5.28.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Thu Sep 22 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Sat Aug 20 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed Jul 13 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Tue Jun 21 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 22 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Thu Apr 14 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sat Feb 20 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Tue Oct 20 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Sat Aug 01 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-4mamba
- standardize the specfile

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-3mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-2mamba
- automatic version update by autodist

* Sat Apr 11 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Thu Apr 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.8.0-2mamba
- remove rpm macros.kde5 and require rpm-macros-kde5

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Thu Mar 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.7.0-2mamba
- add libkconfig subpackage
- provide /etc/rpm/macros.kde5

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
